--- /dev/null
+tm-view.el
+----------------------------
+revision 6.71
+date: 1995/08/03 21:21:16; author: morioka; state: Exp; lines: +20 -3
+Modified to display a message in preview buffer when message/partial
+is previewed.
+----------------------------
+
+tm-rich.el
+----------------------------
+revision 6.10
+date: 1995/08/05 00:55:37; author: morioka; state: Exp; lines: +10 -8
+Added a variable `tm-rich/richtext-module' to select module to decode
+richtext.
+----------------------------
+revision 6.9
+date: 1995/08/03 13:28:35; author: morioka; state: Exp; lines: +2 -2
+Richard Stanton <stanton@haas.berkeley.edu> wrote:
+======================================================================
+My version of tm-os2 requires tm-rich. Unfortunately, this causes an
+error. I think it may be something to do with the fact that at the
+end of tm-rich.el is the line
+
+(provide 'richtext)
+
+Shouldn't that be
+
+(provide 'tm-rich)?
+======================================================================
+According to the report, I fixed a mistake of provide declaration.
+----------------------------
+
+mel/mel-b.el
+----------------------------
+revision 1.6
+date: 1995/08/05 00:30:53; author: morioka; state: Exp; lines: +25 -4
+Added function `pack-sequence' to independent of tl.
+----------------------------
+
+methods/*
+ Replaced method scripts by /bin/sh version scripts by YAMAGAMI
+ <yamagami@hb.nmcc.co.jp>.
--- /dev/null
+tm-view.el
+----------------------------
+revision 6.71
+date: 1995/08/03 21:21:16; author: morioka; state: Exp; lines: +20 -3
+message/partial \e$B$N;~$K\e(B preview buffer \e$B$K$=$l$rCN$i$;$kJ8$rI=<($9$k$h$&\e(B
+\e$B$K$7$?!#\e(B
+----------------------------
+
+tm-rich.el
+----------------------------
+revision 6.10
+date: 1995/08/05 00:55:37; author: morioka; state: Exp; lines: +10 -8
+\e$BJQ?t\e(B tm-rich/richtext-module \e$B$r@_$1!"\e(Brichtext \e$B$N\e(B decode \e$B$K;HMQ$9$k$?$a\e(B
+\e$B$N\e(B module \e$B$rA*Br$G$-$k$h$&$K$7$?!#\e(B
+----------------------------
+revision 6.9
+date: 1995/08/03 13:28:35; author: morioka; state: Exp; lines: +2 -2
+Richard Stanton <stanton@haas.berkeley.edu> \e$B;a[)$/!'\e(B
+======================================================================
+My version of tm-os2 requires tm-rich. Unfortunately, this causes an
+error. I think it may be something to do with the fact that at the
+end of tm-rich.el is the line
+
+(provide 'richtext)
+
+Shouldn't that be
+
+(provide 'tm-rich)?
+======================================================================
+\e$B$3$N;XE&$K=>$$!":G8e$N\e(B provide \e$B$N@k8@$r4V0c$C$F$$$?$N$rD>$7$?!#\e(B
+----------------------------
+
+mel/mel-b.el
+----------------------------
+revision 1.6
+date: 1995/08/05 00:30:53; author: morioka; state: Exp; lines: +25 -4
+\e$B4X?t\e(B pack-sequence \e$B$r<+A0$G;}$D$h$&$K$7$?!#\e(B
+----------------------------
+
+methods/*
+ \e$B$d$^$,$_\e(B <yamagami@hb.nmcc.co.jp> \e$B$5$s:n$N\e(B /bin/sh \e$BHG$N\e(B method
+ script \e$B$r:NMQ$7$?!#\e(B
#
-# $Id: Makefile,v 6.17 1995/07/17 17:10:21 morioka Exp morioka $
+# $Id: Makefile,v 6.20 1995/08/11 09:31:28 morioka Exp morioka $
#
# Please specify emacs executables:
GOMI = $(UTILS) *.elc loadpath
TM_FILES = tm/README.eng tm/rel-*.ol tm/Changes* \
- tm/Makefile tm/Makefile.bc \
+ tm/Makefile tm/mk-tm \
tm/make-lpath tm/inst-el tm/inst-elc \
tm/tm-view.el tm/tiny-mime.el \
tm/tm-mule.el tm/tm-nemacs.el tm/tm-orig.el tm/tm-misc.el \
tm/mh-e/Makefile tm/mh-e/Makefile.bc tm/mh-e/code-jp.ol \
tm/mh-e/*.el
-MEL_FILES = mel/*.el mel/Makefile* mel/inst* mel/make-lpath
+MEL_FILES = mel/*.el mel/Makefile mel/mk-mel
TL_FILES = tl/README.eng \
tl/Makefile tl/Makefile.bc tl/loadpath \
FILES = $(TM_FILES) $(TM_MUA_FILES) $(MEL_FILES) $(TL_FILES)
-TARFILE = tm6.70.tar
+TARFILE = tm6.71.tar
lpath-nemacs:
./make-lpath $(NEMACS_OPT)
nemacs: lpath-nemacs
- cd ../mel; PWD=`pwd` make nemacs EMACS=$(NEMACS)
- make -f Makefile.bc all EMACS=$(NEMACS) EMACS_TYPE=nemacs
+ cd ../tl; PWD=`pwd` make nemacs NEMACS=$(NEMACS)
+ cd ../mel; PWD=`pwd` make elc EMACS=$(NEMACS)
+ $(NEMACS) -batch -l mk-tm -f compile-tm
cd gnus; PWD=`pwd` make gnus3 EMACS=$(NEMACS)
cd mh-e; PWD=`pwd` \
make nemacs NEMACS=$(NEMACS) NEMACS_MH_E=$(NEMACS_MH_E)
make -f Makefile.bc tm-vm EMACS=$(NEMACS) EMACS_TYPE=nemacs
install-nemacs: nemacs install-mua-18
- cd ../mel; PWD=`pwd` make install-nemacs EMACS=$(NEMACS)
- make -f Makefile.bc install TMDIR=$(TMDIR18) EMACS_TYPE=nemacs
+ cd ../tl; PWD=`pwd` make install-nemacs NEMACS=$(NEMACS)
+ cd ../mel; PWD=`pwd` make install-18 EMACS=$(NEMACS)
+ $(NEMACS) -batch -l mk-tm -f install-tm $(TMDIR18)
cd gnus; PWD=`pwd` make install-18 EMACS=$(NEMACS) TMDIR18=$(TMDIR18)
lpath-mule1:
./make-lpath $(MULE1_OPT)
mule1: lpath-mule1
- cd ../mel; PWD=`pwd` make mule1 EMACS=$(MULE1)
- make -f Makefile.bc all EMACS=$(MULE1) EMACS_TYPE=mule
+ cd ../tl; PWD=`pwd` make mule1 MULE1=$(MULE1)
+ cd ../mel; PWD=`pwd` make elc EMACS=$(MULE1)
+ $(MULE1) -batch -l mk-tm -f compile-tm
cd gnus; PWD=`pwd` make gnus3 EMACS=$(MULE1)
cd mh-e; PWD=`pwd` \
make mule1 MULE1=$(MULE1) NEMACS_MH_E=$(MULE1_MH_E)
-mule1-vm: lpath-nemacs
+mule1-vm: lpath-mule1
make -f Makefile.bc tm-vm EMACS=$(MULE1) EMACS_TYPE=mule
install-mule1: mule1 install-mua-18
- cd ../mel; PWD=`pwd` make install-mule1 EMACS=$(MULE1)
- make -f Makefile.bc install TMDIR=$(TMDIR18) EMACS_TYPE=mule
+ cd ../tl; PWD=`pwd` make install-mule1 MULE1=$(MULE1)
+ cd ../mel; PWD=`pwd` make install-18 EMACS=$(MULE1)
+ $(MULE1) -batch -l mk-tm -f install-tm $(TMDIR18)
cd gnus; PWD=`pwd` make install-18 EMACS=$(MULE1) TMDIR18=$(TMDIR18)
install-mua-18:
./make-lpath $(ORIG19_OPT)
orig19: lpath-orig19
- cd ../mel; PWD=`pwd` make orig19 EMACS=$(ORIG19)
- make -f Makefile.bc all EMACS=$(ORIG19) EMACS_TYPE=orig
+ cd ../tl; PWD=`pwd` make orig19 ORIG19=$(ORIG19)
+ cd ../mel; PWD=`pwd` make elc EMACS=$(ORIG19)
+ $(ORIG19) -batch -l mk-tm -f compile-tm
cd gnus; PWD=`pwd` make gnus4 EMACS=$(ORIG19)
# If you use (ding) GNUS, please comment use following:
# cd gnus; PWD=`pwd` make dgnus EMACS=$(ORIG19)
cd mh-e; PWD=`pwd` make orig19 ORIG19=$(ORIG19)
-orig19-vm: lpath-nemacs
+orig19-vm: lpath-orig19
make -f Makefile.bc tm-vm EMACS=$(ORIG19) EMACS_TYPE=orig
install-orig19: orig19 install-mua-19
- cd ../mel; PWD=`pwd` make install-orig19 EMACS=$(ORIG19)
- make -f Makefile.bc install TMDIR=$(TMDIR19) EMACS_TYPE=orig
+ cd ../tl; PWD=`pwd` make install-orig19 ORIG19=$(ORIG19)
+ cd ../mel; PWD=`pwd` make install-19 EMACS=$(ORIG19)
+ $(ORIG19) -batch -l mk-tm -f install-tm $(TMDIR19)
cd gnus; PWD=`pwd` make install-19 EMACS=$(ORIG19) TMDIR19=$(TMDIR19)
lpath-mule2:
./make-lpath $(MULE2_OPT)
mule2: lpath-mule2
- cd ../mel; PWD=`pwd` make mule2 EMACS=$(MULE2)
- make -f Makefile.bc all EMACS=$(MULE2) EMACS_TYPE=mule
+ cd ../tl; PWD=`pwd` make mule2 MULE2=$(MULE2)
+ cd ../mel; PWD=`pwd` make elc EMACS=$(MULE2)
+ $(MULE2) -batch -l mk-tm -f compile-tm
cd gnus; PWD=`pwd` make gnus4 EMACS=$(MULE2)
# If you use (ding) GNUS, please comment use following:
# cd gnus; PWD=`pwd` make dgnus EMACS=$(MULE2)
cd mh-e; PWD=`pwd` make mule2 MULE2=$(MULE2)
-mule2-vm: lpath-nemacs
+mule2-vm: lpath-mule2
make -f Makefile.bc tm-vm EMACS=$(MULE2) EMACS_TYPE=mule
install-mule2: mule2 install-mua-19
- cd ../mel; PWD=`pwd` make install-mule2 EMACS=$(MULE2)
- make -f Makefile.bc install TMDIR=$(TMDIR19) EMACS_TYPE=mule
+ cd ../tl; PWD=`pwd` make install-mule2 MULE2=$(MULE2)
+ cd ../mel; PWD=`pwd` make install-19 EMACS=$(MULE2)
+ $(MULE2) -batch -l mk-tm -f install-tm $(TMDIR19)
cd gnus; PWD=`pwd` make install-19 EMACS=$(MULE2) TMDIR19=$(TMDIR19)
install-mua-19:
-cd doc; make clean
-cd gnus; make clean
-cd mh-e; make clean
+ cd ../mel; PWD=`pwd` make clean
tar:
[README for tm (English Version)]
by MORIOKA Tomohiko <morioka@jaist.ac.jp>
-$Id: README.eng,v 6.0 1995/08/01 19:09:28 morioka Exp $
+$Id: README.eng,v 6.1 1995/08/11 09:48:55 morioka Exp $
1 What's tm?
If you want to use automatic MIME preview support, please apply a
patch to (ding) GNUS. This patch is called `with tm patch'. It is
available from ftp.jaist.ac.jp:/pub/GNU/elisp/dgnus/. Current version
-is dgnus-0.98.6-tm.diff.
+is dgnus-0.98.7-tm.diff.
5.1 tm-mh-e
--- /dev/null
+#!/bin/csh -f
+
+if (! $?TM_TMP_DIR) then
+ setenv TM_TMP_DIR /tmp
+endif
+
+switch( $4 )
+case "play":
+ set filename = /dev/audio
+ breaksw
+case "extract":
+ if( $5 == "" ) then
+ set filename = "$TM_TMP_DIR/mime$$.au"
+ else
+ set filename = "$TM_TMP_DIR/$5"
+ endif
+ breaksw
+default:
+ exit -1
+endsw
+
+echo "$2; $3 -> $filename"
+
+tmdecode $3 $1 $filename
--- /dev/null
+#!/bin/csh -f
+
+if (! $?TM_TMP_DIR) then
+ setenv TM_TMP_DIR /tmp
+endif
+
+if( $5 == "" ) then
+ set filename="$TM_TMP_DIR/mime$$"
+else
+ set filename = $TM_TMP_DIR/$5
+endif
+
+echo "$2; $3 -> $filename"
+
+tmdecode $3 $1 $filename
--- /dev/null
+#!/bin/csh -f
+
+if (! $?TM_TMP_DIR) then
+ setenv TM_TMP_DIR /tmp
+endif
+
+if( $5 == "" ) then
+ switch ( $2 )
+ case "image/gif":
+ set filename="$TM_TMP_DIR/mime$$.gif"
+ breaksw
+ case "image/jpeg":
+ set filename="$TM_TMP_DIR/mime$$.jpg"
+ breaksw
+ case "image/tiff":
+ case "image/x-tiff":
+ set filename="$TM_TMP_DIR/mime$$.tif"
+ breaksw
+ case "image/x-xwd":
+ set filename="$TM_TMP_DIR/mime$$.xwd"
+ breaksw
+ case "image/x-xbm":
+ set filename="$TM_TMP_DIR/mime$$.xbm"
+ breaksw
+ case "image/x-pic":
+ set filename="$TM_TMP_DIR/mime$$.pic"
+ breaksw
+ default:
+ set filename="$TM_TMP_DIR/mime$$.img"
+ endsw
+else
+ set filename = $TM_TMP_DIR/$5
+endif
+
+echo "$2; $3 -> $filename"
+
+tmdecode $3 $1 $filename
+
+switch( $4 )
+case "play":
+ xv -geometry +1+1 $filename
+ /bin/rm $filename
+ breaksw
+case "extract":
+ echo "extract to $filename"
+ breaksw
+endsw
--- /dev/null
+#!/bin/csh -f
+
+if (! $?TM_TMP_DIR) then
+ setenv TM_TMP_DIR /tmp
+endif
+
+if( $5 == "" ) then
+ set filename = $TM_TMP_DIR/mime$$.mpg
+else
+ set filename = $TM_TMP_DIR/$5
+endif
+
+echo "$2; $3 -> $filename"
+
+tmdecode $3 $1 $filename
+
+switch( $4 )
+case "play":
+ if (! $?VIDEO_DITHER) then
+ setenv VIDEO_DITHER gray
+ endif
+
+ mpeg_play -dither $VIDEO_DITHER $filename >& /dev/null
+ /bin/rm $filename
+ breaksw
+case "extract":
+ echo "extrtact to $filename"
+ breaksw
+endsw
--- /dev/null
+#!/bin/csh -f
+
+if (! $?TM_TMP_DIR) then
+ setenv TM_TMP_DIR /tmp
+endif
+
+if( $5 == "" ) then
+ set filename = "$TM_TMP_DIR/mime$$.pln"
+else
+ set filename = $TM_TMP_DIR/$5
+endif
+
+echo "$2; $3 -> $filename"
+
+tmdecode $3 $1 $filename
+
+switch( $4 )
+case "play":
+ cat $filename
+ /bin/rm $filename
+ breaksw
+case "extract":
+ echo "extract to $filename"
+ breaksw
+case "print":
+ txt2ps -n $filename | lpr
+ /bin/rm $filename
+ breaksw
+endsw
--- /dev/null
+#!/bin/csh -f
+
+switch ( $1 )
+case "7bit":
+case "8bit":
+case "binary":
+ /bin/cp $2 $3
+ breaksw
+case "base64":
+ #decode-b < $2 > $3
+ mmencode -u $2 > $3
+ breaksw
+case "quoted-printable":
+ mmencode -q -u $2 > $3
+ breaksw
+case "x-uue":
+case "x-uuencode":
+ pushd $TM_TMP_DIR
+ uudecode $2
+ popd
+ breaksw
+default:
+ echo "unknown encoding"
+ exit -1
+endsw
+
+/bin/rm $2
+echo "$2 was removed."
-#!/bin/csh -f
+#!/bin/sh
+if [ "$TM_TMP_DIR" = "" ]; then
+ TM_TMP_DIR=/tmp
+ export TM_TMP_DIR
+fi
-if (! $?TM_TMP_DIR) then
- setenv TM_TMP_DIR /tmp
-endif
-
-switch( $4 )
-case "play":
- set filename = /dev/audio
- breaksw
-case "extract":
- if( $5 == "" ) then
- set filename = "$TM_TMP_DIR/mime$$.au"
+case "$4" in
+"play")
+ filename = /dev/audio
+ ;;
+"extract")
+ if [ "$5" = "" ]; then
+ filename="$TM_TMP_DIR/mime$$.au"
else
- set filename = "$TM_TMP_DIR/$5"
- endif
- breaksw
-default:
- exit -1
-endsw
+ filename="$TM_TMP_DIR/$5"
+ fi
+ ;;
+esac
echo "$2; $3 -> $filename"
-#!/bin/csh -f
-
-if (! $?TM_TMP_DIR) then
- setenv TM_TMP_DIR /tmp
-endif
-
-if( $5 == "" ) then
- set filename="$TM_TMP_DIR/mime$$"
+#!/bin/sh
+if [ "$TM_TMP_DIR" = "" ]; then
+ TM_TMP_DIR=/tmp
+ export TM_TMP_DIR
+fi
+if [ "$5" = "" ]; then
+ filename="$TM_TMP_DIR/mime$$"
else
- set filename = $TM_TMP_DIR/$5
-endif
+ filename="$TM_TMP_DIR/$5"
+fi
echo "$2; $3 -> $filename"
-#!/bin/csh -f
-
-if (! $?TM_TMP_DIR) then
- setenv TM_TMP_DIR /tmp
-endif
-
-if( $5 == "" ) then
- switch ( $2 )
- case "image/gif":
- set filename="$TM_TMP_DIR/mime$$.gif"
- breaksw
- case "image/jpeg":
- set filename="$TM_TMP_DIR/mime$$.jpg"
- breaksw
- case "image/tiff":
- case "image/x-tiff":
- set filename="$TM_TMP_DIR/mime$$.tif"
- breaksw
- case "image/x-xwd":
- set filename="$TM_TMP_DIR/mime$$.xwd"
- breaksw
- case "image/x-xbm":
- set filename="$TM_TMP_DIR/mime$$.xbm"
- breaksw
- case "image/x-pic":
- set filename="$TM_TMP_DIR/mime$$.pic"
- breaksw
- default:
- set filename="$TM_TMP_DIR/mime$$.img"
- endsw
+#!/bin/sh
+if [ "$TM_TMP_DIR"="" ]; then
+ TM_TMP_DIR=/tmp
+ export TM_TMP_DIR
+fi
+if [ "$5" = "" ]; then
+ case "$2" in
+ "image/gif")
+ filename="$TM_TMP_DIR/mime$$.gif"
+ ;;
+ "image/jpeg")
+ filename="$TM_TMP_DIR/mime$$.jpg"
+ ;;
+ "image/tiff"|"image/x-tiff")
+ filename="$TM_TMP_DIR/mime$$.tif"
+ ;;
+ "image/x-xwd")
+ filename="$TM_TMP_DIR/mime$$.xwd"
+ ;;
+ "image/x-xbm")
+ filename="$TM_TMP_DIR/mime$$.xbm"
+ ;;
+ "image/x-pic")
+ filename="$TM_TMP_DIR/mime$$.pic"
+ ;;
+ *)
+ filename="$TM_TMP_DIR/mime$$.img"
+ ;;
+ esac
else
- set filename = $TM_TMP_DIR/$5
-endif
+ filename="$TM_TMP_DIR/$5"
+fi
echo "$2; $3 -> $filename"
tmdecode $3 $1 $filename
-switch( $4 )
-case "play":
+case "$4" in
+"play")
xv -geometry +1+1 $filename
/bin/rm $filename
- breaksw
-case "extract":
+ ;;
+"extract")
echo "extract to $filename"
- breaksw
-endsw
+ ;;
+esac
-#!/bin/csh -f
-
-if (! $?TM_TMP_DIR) then
- setenv TM_TMP_DIR /tmp
-endif
-
-if( $5 == "" ) then
- set filename = $TM_TMP_DIR/mime$$.mpg
+#!/bin/sh
+if [ "$TM_TMP_DIR" = "" ]; then
+ TM_TMP_DIR=/tmp
+ export TM_TMP_DIR
+fi
+if [ "$5" = "" ]; then
+ filename="$TM_TMP_DIR/mime$$.mpg"
else
- set filename = $TM_TMP_DIR/$5
-endif
+ filename="$TM_TMP_DIR/$5"
+fi
echo "$2; $3 -> $filename"
tmdecode $3 $1 $filename
-switch( $4 )
-case "play":
- if (! $?VIDEO_DITHER) then
- setenv VIDEO_DITHER gray
- endif
-
+case "$4" in
+"play")
+ if [ "$VIDEO_DITHER" = "" ]; then
+ VIDEO_DITHER=gray
+ export VIDEO_DITHER
+ fi
mpeg_play -dither $VIDEO_DITHER $filename
/bin/rm $filename
- breaksw
-case "extract":
- echo "extrtact to $filename"
- breaksw
-endsw
+ ;;
+"extract")
+ echo "extract to $filename"
+ ;;
+esac
-#!/bin/csh -f
-
-if (! $?TM_TMP_DIR) then
- setenv TM_TMP_DIR /tmp
-endif
-
-if( $5 == "" ) then
- set filename = "$TM_TMP_DIR/mime$$.pln"
+#!/bin/sh
+if [ "$TM_TMP_DIR" = "" ]; then
+ TM_TMP_DIR=/tmp
+ export TM_TMP_DIR
+fi
+if [ "$5" = "" ]; then
+ filename="$TM_TMP_DIR/mime$$.pln"
else
- set filename = $TM_TMP_DIR/$5
-endif
+ filename="$TM_TMP_DIR/$5"
+fi
echo "$2; $3 -> $filename"
tmdecode $3 $1 $filename
-switch( $4 )
-case "play":
+case "$4" in
+"play")
cat $filename
/bin/rm $filename
- breaksw
-case "extract":
+ ;;
+"extract")
echo "extract to $filename"
- breaksw
-case "print":
+ ;;
+"print")
txt2ps -n $filename | lpr
/bin/rm $filename
- breaksw
-endsw
+ ;;
+esac
-#!/bin/csh -f
+#!/bin/sh
-switch ( $1 )
-case "7bit":
-case "8bit":
-case "binary":
+case "$1" in
+"7bit"|"8bit"|"binary")
/bin/cp $2 $3
- breaksw
-case "base64":
+ ;;
+"base64")
#decode-b < $2 > $3
mmencode -u $2 > $3
- breaksw
-case "quoted-printable":
+ ;;
+"quoted-printable")
mmencode -q -u $2 > $3
- breaksw
-case "x-uue":
-case "x-uuencode":
- pushd $TM_TMP_DIR
- uudecode $2
- popd
- breaksw
-default:
+ ;;
+"x-uue"|"x-uuencode")
+ (cd $TM_TMP_DIR ; uudecode $2)
+ ;;
+*)
echo "unknown encoding"
exit -1
-endsw
+ ;;
+esac
/bin/rm $2
+
echo "$2 was removed."
--- /dev/null
+;;; -*-Emacs-Lisp-*-tm
+
+(setq load-path (append
+ (mapcar (function
+ (lambda (path)
+ (expand-file-name path (getenv "PWD"))
+ ))
+ '("." "../tl/" "../mel/")
+ )
+ load-path))
+
+(print load-path)
+
+(require 'tl-misc)
+(require 'gnus)
+(require 'tm-rich)
+
+(setq tm-modules
+ (append
+ (cons
+ (cond ((boundp 'NEMACS)
+ "tm-nemacs"
+ )
+ ((boundp 'MULE)
+ "tm-mule"
+ )
+ (t
+ "tm-orig"
+ ))
+ '("signature"
+ "tiny-mime" "tm-misc"
+ "tm-view"
+ "tm-ftp" "tm-latex"
+ "tm-rmail" "tm-comp"
+ "tm-setup" "mime-setup"
+ ))
+ (if (not (string-match "\\(XEmacs\\|Lucid\\)" emacs-version))
+ (progn
+ (cons
+ (if (or (< emacs-major-version 19)(< emacs-minor-version 29))
+ "tinyrich"
+ "richtext"
+ )
+ '("tm-rich")
+ ))
+ '("tm-vm")
+ )))
+
+(setq tm-uncompile-el-files '("tm-partial.el"))
+
+(setq tm-el-files
+ (mapcar (function (lambda (module)
+ (concat module ".el")
+ ))
+ tm-modules))
+
+(setq tm-elc-files
+ (mapcar (function (lambda (module)
+ (concat module ".elc")
+ ))
+ tm-modules))
+
+(defun compile-tm ()
+ (mapcar (function byte-compile-file) tm-el-files)
+ )
+
+(defconst el-file-mode (+ (* 64 6)(* 8 4) 4))
+
+(defun install-el (path file)
+ (let ((full-path (expand-file-name file path)))
+ (if (file-exists-p full-path)
+ (set-file-modes full-path el-file-mode)
+ )
+ (copy-file file full-path t t)
+ (princ (format "%s -> %s\n" file path))
+ ))
+
+(defun install-el-files (path &rest files)
+ (mapcar (function (lambda (file)
+ (if (file-exists-p file)
+ (install-el path file)
+ )))
+ files))
+
+(defun install-elc (path file)
+ (let ((full-path (expand-file-name file path)))
+ (copy-file file full-path t t)
+ (delete-file file)
+ (princ (format "%s -> %s\n" file path))
+ ))
+
+(defun install-elc-files (path &rest files)
+ (mapcar (function (lambda (file)
+ (if (file-exists-p file)
+ (install-elc path file)
+ )))
+ files))
+
+(defun install-tm ()
+ (let ((path (car command-line-args-left)))
+ (princ (format "%s\n" emacs-version))
+ (apply (function install-el-files) path
+ (append tm-el-files tm-uncompile-el-files)
+ )
+ (apply (function install-elc-files) path tm-elc-files)
+ ))
;;;
-;;; $Id: tm-rich.el,v 6.8 1995/07/17 22:30:36 morioka Exp $
+;;; $Id: tm-rich.el,v 6.10 1995/08/05 00:55:37 morioka Exp $
;;;
;;; by MORIOKA Tomohiko <morioka@jaist.ac.jp>
;;;
(require 'tm-view)
-(if (or (< emacs-major-version 19)
- (and (= emacs-major-version 19)
- (< emacs-minor-version 29))
- )
- (require 'tinyrich)
- (require 'richtext)
- )
+
+(defvar tm-rich/richtext-module
+ (if (or (< emacs-major-version 19)
+ (and (= emacs-major-version 19)
+ (< emacs-minor-version 29))
+ )
+ 'tinyrich
+ 'richtext))
+(require tm-rich/richtext-module)
;;; @ content filters for tm-view
(run-hooks 'tm-rich-load-hook)
-(provide 'richtext)
+(provide 'tm-rich)
;;;
(defconst mime-viewer/RCS-ID
- "$Id: tm-view.el,v 6.70 1995/07/30 23:18:01 morioka Exp $")
+ "$Id: tm-view.el,v 6.71 1995/08/03 21:21:16 morioka Exp $")
(defconst mime-viewer/version (get-version-string mime-viewer/RCS-ID))
(defconst mime/viewer-version mime-viewer/version)
(concat (regexp-* mime-viewer/file-name-char-regexp)
"\\(\\." mime-viewer/file-name-char-regexp "+\\)*"))
+(defvar mime-viewer/announcement-for-message/partial
+ "[[ This is message/partial style split message. ]]
+[[ Please press `v' key in this buffer. ]]")
+
;;; @@ predicate functions
;;;
(setq ne (point-max))
)
(switch-to-buffer the-buf)
- ))
+ )
+ (if (equal ctype "message/partial")
+ (let (be)
+ (switch-to-buffer obuf)
+ (save-restriction
+ (setq be (point-max))
+ (narrow-to-region be be)
+ (insert
+ mime-viewer/announcement-for-message/partial)
+ (setq ne (point-max))
+ )
+ (switch-to-buffer the-buf)
+ ))
+ )
(switch-to-buffer obuf)
(mime-viewer/default-content-separator
- cnum cinfo ctype params subj)
+ cnum cinfo ctype params subj)
(prog1
(progn
(setq subj (mime-viewer/get-subject params))